using DevExpress.XtraSplashScreen;

namespace TsSFCDevice.Client.Launch
{
    public static class UtilsEx
    {
        /// <summary>
        /// 关闭等待窗口
        /// </summary>
        /// <param name="ssm"></param>
        public static void TryCloseWait(this SplashScreenManager ssm)
        {
            try
            {
                if (ssm.IsSplashFormVisible)
                {
                    ssm.CloseWaitForm();
                }
            }
            catch
            { }
        }
    }
}
